Summary:	Typing stubs for psutil
Summary(pl.UTF-8):	Zaślepki typów dla modułu psutil
Name:		python3-types-psutil
Version:	7.0.0.20250601
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/types-psutil/
Source0:	https://files.pythonhosted.org/packages/source/t/types-psutil/types_psutil-%{version}.tar.gz
# Source0-md5:	6e4b5c44a2373d579117c7350ad8863b
URL:		https://pypi.org/project/types-psutil/
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools >= 1:77.0.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a PEP 561 type stub package for the psutil package. It can be
used by type-checking tools like mypy, pyright, pytype, Pyre, etc. to
check code that uses psutil.

%description -l pl.UTF-8
Ten pakiet zawiera zaślepki typów zgodne z PEP 561 dla pakietu psutil.
Mogą one być używany przez narzędzia sprawdzające typy, takie jak
mypy, pyright, pytype, Pyre itp. do sprawdzania kodu wykorzystującego
psutil.

%prep
%setup -q -n types_psutil-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%{py3_sitescriptdir}/psutil-stubs
%{py3_sitescriptdir}/types_psutil-%{version}-py*.egg-info
%changelog
* Thu Jul 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-types-psutil.git;a=log;h=master

* Thu Jul 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 856d077
- new

